Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`internet`.`_resolver`.`ComplexResolverSimplifier``

class documentation

`class ComplexResolverSimplifier: (source)`

Constructor: `ComplexResolverSimplifier(nameResolver)`

Implements interfaces: `twisted.internet.interfaces.IResolverSimple`

View In Hierarchy

A converter from `IHostnameResolver` to `IResolverSimple`

Method | `__init__` | Create a `ComplexResolverSimplifier` with an `IHostnameResolver`.
Method | `getHostByName` | See `IResolverSimple.getHostByName`
Instance Variable | `_nameResolver` | Undocumented

def __init__(self, nameResolver: `IHostnameResolver`): (source)

Create a `ComplexResolverSimplifier` with an `IHostnameResolver`.

Parameters
nameResolver:`IHostnameResolver` | The `IHostnameResolver` to use.

def getHostByName(self, name: `str`, timeouts: `Sequence[int]` = ()) -> `Deferred[str]`: (source)
from `twisted.internet.interfaces.IResolverSimple`

See `IResolverSimple.getHostByName`

Parameters
name:`str` | see `IResolverSimple.getHostByName`
timeouts:`Sequence[int]` | see `IResolverSimple.getHostByName`
Returns
`Deferred[str]` | see `IResolverSimple.getHostByName`

_nameResolver = (source)

Undocumented